The refund endpoint will execute a full or partial refund according to the refundAmount specified. A full refund is equal to the amountFinancedAtOrigination. An atFaultParty must also be specified, in order to trigger the corresponding accounting entries related to billing for the refund.
The party at fault for the refund. Mainly used for ledger/accounting.
If loanOwner, the lender is billed for the entire refund, and paid interest and fees are refunded to the borrower.
If loanServicer, the servicer is billed for the entire refund, and paid interest and fees are refunded to the borrower.
If merchant, the merchant is billed for the entire refund, and paid interest and fees are refunded to the borrower.
If borrower, the merchant is billed for the entire refund, and the borrower receives no refund for paid interest and fees.
The refund amount. The maximum eligible refund amount is the amountFinancedAtOrigination of the loan. The refund is applied against the principal of the loan.
This attribute can be set only during the migration process of loans from another system to Peach. Any value passed for active loans will be ignored.
The refund effective date in the product timezone. If not provided, the refund will be recorded in the ledger with an effective timestamp of the Create refund call.
- oauth2
- bearerAuth
- apiKeyHeader
curl -i -X POST \
'https://sandboxapi.peach.finance/api/people/{personId}/loans/{loanId}/refunds' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"atFaultParty": "loanOwner",
"caseId": "string",
"refundAmount": 1,
"refundDate": "2019-08-24",
"refundDetails": {
"categoryId": "string",
"description": "Refund",
"merchantId": "string",
"merchantName": "string",
"metadata": {},
"pointOfSaleType": "online"
},
"sendNotice": true
}'{ "message": "string", "status": 0, "data": { "atFaultParty": "loanOwner", "caseId": "string", "isFullRefund": true, "originalAmount": 0.1, "refundAmount": 1, "refundDate": "2019-08-24", "refundDetails": { … }, "timestamps": { … } } }